/*
 * generated by Xtext 2.25.0
 */
package org.polarsys.chess.xtext.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.xtext.util.Modules2;
import org.polarsys.chess.xtext.FlaDslRuntimeModule;
import org.polarsys.chess.xtext.FlaDslStandaloneSetup;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class FlaDslIdeSetup extends FlaDslStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new FlaDslRuntimeModule(), new FlaDslIdeModule()));
	}
	
}
